import { createStore, compose } from 'redux';
import { syncHistoryWithStore } from 'react-router-redux'
import { browserHistory } from 'react-router'

// Import the root reducer
import rootReducer from './reducers/index'

// Export the store
const store = createStore(rootReducer);

// Sync history with store
export const history = syncHistoryWithStore(browserHistory, store);

export default store;
